package com.oo.eye.net;

import com.oo.eye.bean.SchoolBean;
import com.oo.eye.bean.StudentBean;
import com.oo.seex.netlibrary.net.response.OldResponseImpl;

import java.util.List;
import java.util.Map;

import retrofit2.http.FieldMap;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.GET;
import retrofit2.http.POST;
import retrofit2.http.QueryMap;
import rx.Observable;

/**
 * Created by xucon on 2017/12/26.
 */

public interface EyeApiService {

	/**
	 * 上传视力测试结果
	 */
	@FormUrlEncoded
	@POST(NetConfig.ADD_EYE)
	Observable<OldResponseImpl<String>> postEyeTestData(@FieldMap Map<String ,String> params);
	/**
	 * 获取学校信息
	 */
	@GET(NetConfig.GET_SCHOOL)
	Observable<OldResponseImpl<SchoolBean>> getSchoolInfo(@QueryMap Map<String ,String> params);
	/**
	 * 获取学生信息
	 */
	@GET(NetConfig.GET_SCHOOL)
	Observable<OldResponseImpl<List<StudentBean>>> getStudents(@QueryMap Map<String ,String> params);
}
